Bug 151699 - [PATCH] security/hydra: update to 5.8
Summary: [PATCH] security/hydra: update to 5.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-24 20:20 UTC by R.Mahmatkhanov
Modified: 2010-11-08 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.52 KB, patch)
2010-10-24 20:20 UTC, R.Mahmatkhanov
no flags Details | Diff
txt-1.txt (3.52 KB, text/plain)
2010-10-25 21:03 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2010-10-24 20:20:04 UTC
- update to 5.8
- change MASTER_SITES
- disable PACKETSTORM mastersite for now - it doesn't have new distfile
- actualize patches
- add LICENSE
- change url in pkg-descr

Please mirror distfile on FreeBSD ftp! thc.org is unstable.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-10-24 20:20:09 UTC
Maintainer of security/hydra,

Please note that PR ports/151699 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151699

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-10-24 20:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 swell.k 2010-10-24 20:57:24 UTC
Ruslan Mahmatkhanov <cvs-src@yandex.ru> writes:

>  MAINTAINER=	llevier@argosnet.com
>  COMMENT=	Brute force attack utility working on multiple network services
>  
> +LICENSE=	GPLv3
> +LICENSE_FILE_GPLv3=${WRKSRC}/LICENSE

It displays a placeholder instead of WRKSRC/LICENSE

   $ make LICENSES_ASK= NO_LICENSES_DIALOGS= >/dev/null
   $ cat $(make -V _LICENSE_FILE)
   The license: GPLv3 (GNU General Public License version 3) is standard,
   please read from the web.
Comment 4 R.Mahmatkhanov 2010-10-24 21:06:23 UTC
24.10.2010 23:57, Anonymous пиÑеÑ:
> Ruslan Mahmatkhanov<cvs-src@yandex.ru>  writes:
>
>>   MAINTAINER=	llevier@argosnet.com
>>   COMMENT=	Brute force attack utility working on multiple network services
>>
>> +LICENSE=	GPLv3
>> +LICENSE_FILE_GPLv3=${WRKSRC}/LICENSE
>
> It displays a placeholder instead of WRKSRC/LICENSE
>
>     $ make LICENSES_ASK= NO_LICENSES_DIALOGS=>/dev/null
>     $ cat $(make -V _LICENSE_FILE)
>     The license: GPLv3 (GNU General Public License version 3) is standard,
>     please read from the web.

Bad.
So what should i do? Just remove LICENSE_FILE_GPLv3?

-- 
Regards,
Ruslan
Comment 5 swell.k 2010-10-24 21:37:45 UTC
Ruslan Mahmatkhanov <cvs-src@yandex.ru> writes:

> 24.10.2010 23:57, Anonymous =D0=BF=D0=B8=D1=88=D0=B5=D1=82:
>> Ruslan Mahmatkhanov<cvs-src@yandex.ru>  writes:
>>
>>>   MAINTAINER=3D	llevier@argosnet.com
>>>   COMMENT=3D	Brute force attack utility working on multiple network ser=
vices
>>>
>>> +LICENSE=3D	GPLv3
>>> +LICENSE_FILE_GPLv3=3D${WRKSRC}/LICENSE
>>
>> It displays a placeholder instead of WRKSRC/LICENSE
>>
>>     $ make LICENSES_ASK=3D NO_LICENSES_DIALOGS=3D>/dev/null
>>     $ cat $(make -V _LICENSE_FILE)
>>     The license: GPLv3 (GNU General Public License version 3) is standar=
d,
>>     please read from the web.
>
> Bad.
> So what should i do? Just remove LICENSE_FILE_GPLv3?

Strip license suffix, it's used only for non-"single" licenses (dual/multi).
On wiki.freebsd.org there is even an example

  LICENSE=3DGPLv2
  LICENSE_FILE=3D${WRKSRC}/LICENSE

Replace "GPLv2" with "GPLv3" and you're done. ;)
Comment 6 R.Mahmatkhanov 2010-10-24 22:00:23 UTC
25.10.2010 00:37, Anonymous пиÑеÑ:
> Ruslan Mahmatkhanov<cvs-src@yandex.ru>  writes:
>
>> 24.10.2010 23:57, Anonymous пиÑеÑ:
>>> Ruslan Mahmatkhanov<cvs-src@yandex.ru>   writes:
>>>
>>>>    MAINTAINER=	llevier@argosnet.com
>>>>    COMMENT=	Brute force attack utility working on multiple network services
>>>>
>>>> +LICENSE=	GPLv3
>>>> +LICENSE_FILE_GPLv3=${WRKSRC}/LICENSE
>>>
>>> It displays a placeholder instead of WRKSRC/LICENSE
>>>
>>>      $ make LICENSES_ASK= NO_LICENSES_DIALOGS=>/dev/null
>>>      $ cat $(make -V _LICENSE_FILE)
>>>      The license: GPLv3 (GNU General Public License version 3) is standard,
>>>      please read from the web.
>>
>> Bad.
>> So what should i do? Just remove LICENSE_FILE_GPLv3?
>
> Strip license suffix, it's used only for non-"single" licenses (dual/multi).
> On wiki.freebsd.org there is even an example
>
>    LICENSE=GPLv2
>    LICENSE_FILE=${WRKSRC}/LICENSE
>
> Replace "GPLv2" with "GPLv3" and you're done. ;)

Ok. Thank you for explanation.

-- 
Regards,
Ruslan
Comment 7 R.Mahmatkhanov 2010-10-25 21:03:20 UTC
Please use this patch instead.
It contains LICENSE fix suggested by swell.k at gmail.com.

-- 
Regards,
Ruslan
Comment 8 llevier 2010-10-29 08:32:54 UTC
Hi Edwin,

Sorry for late reply, was far far away...

That's ok for me.

Please thank for me the person who proposed the port update.

Brgrds
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2010-10-29 10:15:46 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 10 Pav Lucistnik freebsd_committer 2010-11-08 18:44:48 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 11 dfilter service freebsd_committer 2010-11-08 18:45:15 UTC
pav         2010-11-08 18:45:02 UTC

  FreeBSD ports repository

  Modified files:
    security/hydra       Makefile distinfo pkg-descr 
    security/hydra/files patch-Makefile.am patch-configure 
  Log:
  - Update to 5.8
  
  PR:             ports/151699
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  Approved by:    Laurent LEVIER <llevier@argosnet.com> (maintainer)
  
  Revision  Changes    Path
  1.22      +4 -4      ports/security/hydra/Makefile
  1.11      +2 -3      ports/security/hydra/distinfo
  1.2       +3 -3      ports/security/hydra/files/patch-Makefile.am
  1.2       +9 -9      ports/security/hydra/files/patch-configure
  1.2       +1 -1      ports/security/hydra/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"